Ultimaker Cura Modern Linux? When You Should Use it?

Ultimaker Cura Slicer for Linux

In this article, I will discuss an about version of Ultimaker Cura Slicer for Linux. Why there are two versions of Ultimaker Cura 5.1, with the name Modern Slicer Linux and regular Linux.

I’ve been using the Cura app since 2018. Since then I’ve been getting very few errors. This year, there is a new version that is 5.1 where there are many updates that are updated.

If you visit the Ultimaker website to download Slicer, then there are two buttons to download the Linux version, 64-bit Linux and 64-bit Modern Linux.



What happened that there were two versions?

Cura Slicer Modern Linux? When should it be used?

Modern Linux which I know is the latest version of Linux in 2022. For example Ubuntu 22.04, Pop Os 22.04, and so on.

If you are using Ultimaker Cura Slicer 5.1 regular Linux version on Modern Linux Distros, an error like this will appear:

Failed To Probe OpenGL

Error box: Failed to probe OpenGL. Could not probe OpenGL. This program requires OpenGL 2. or higher. Please check your video card drivers.

This happens because the library contained in AppImage is not compatible with the latest Linux, so OpenGL is not probed.

How to fix the error above, I have explained in this page Failed To Probe OpenGL Linux Cura Slicer (Solved), please read carefully.



When should it be used?

If you are using the new 2022 version of Linux Distro, I recommend downloading and using Ultimaker Cura 5.1 Modern Linux.

However, if you are still using a Linux operating system before 2022, you can download the regular Ultimaker Cura 5.1 Linux.

Hopefully, this article is useful to you.

1 thought on “Ultimaker Cura Modern Linux? When You Should Use it?”

  1. Pingback: Installer FreeCAD, Cura, LightBurn et KiCAD sur Linux Mint sur PC - Framboise 314, le Raspberry Pi à la sauce française....

Leave a Comment

Your email address will not be published. Required fields are marked *

Scroll to Top